freebsd-ports/misc/dotfile/files/patch-configure
Martin Wilke f3dd7df3ad - Fix build with new tcl/tk layout.
PR:             110263
Submitted by:   Martin Matuska <martin@matuska.org>
2007-03-13 13:30:55 +00:00

49 lines
1.7 KiB
Text

--- configure.orig Sat Feb 19 20:15:36 2000
+++ configure Tue Mar 13 12:56:59 2007
@@ -541,7 +541,14 @@
echo "######################################################################"
echo "######################################################################"
-for ac_prog in wish8.2jp wish8.2 wish8.1jp wish8.1 wish8.0jp wish8.0 wish4.2jp wish4.2 wish4.1jp wish4.1 wish4.0jp wish4.0
+#### Which language should TDG use?
+if test "x$LANGUAGE" = "xjapanese" ; then
+ LANGUAGE="japanese";
+else
+ LANGUAGE="english";
+fi
+
+for ac_prog in wish8.2 wish8.1 wish8.0 wish4.2jp wish4.2 wish4.1jp wish4.1 wish4.0jp wish4.0
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -733,7 +740,7 @@
echo "####################################################################"
fi
fi
-for ac_prog in tclsh8.2jp tclsh8.2 tclsh8.1jp tclsh8.1 tclsh8.0jp tclsh8.0 tclsh7.6jp tclsh7.6 tclsh7.5jp tclsh7.5 tclsh7.4jp tclsh7.4 tclsh
+for ac_prog in tclsh8.2 tclsh8.2jp tclsh8.1 tclsh8.0jp tclsh8.0 tclsh7.6jp tclsh7.6 tclsh7.5jp tclsh7.5 tclsh7.4jp tclsh7.4 tclsh
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -1222,18 +1229,12 @@
{ echo "configure: error: I couldn't find 'ln'" 1>&2; exit 1; }
fi
-
#### Which language should TDG use?
-$TCLSH language.tcl
-res=$?
-if test "$res" = "1" ; then
- LANGUAGE=english;
-elif test "$res" = "2" ; then
- LANGUAGE=japanese;
+if test "x$LANGUAGE" = "xjapanese" ; then
+ LANGUAGE="japanese";
else
- { echo "configure: error: Internal error" 1>&2; exit 1; }
+ LANGUAGE="english";
fi
-
trap '' 1 2 15
cat > confcache <<\EOF